from Products.Archetypes import listTypes
from Products.Archetypes.Extensions.utils import installTypes
from Products.Archetypes.Extensions.utils import install_subskin
from Products.CMFCore.utils import getToolByName
from StringIO import StringIO

from Products.Archetypes.interfaces.base import IBaseFolder

from Products.LetsPay.config import PROJECTNAME
from Products.LetsPay.config import GLOBALS

from Products.CMFDynamicViewFTI.migrate import migrateFTIs

def install(self, reinstall):
    out = StringIO()

    install_subskin(self, out, GLOBALS)

    typeInfo = listTypes(PROJECTNAME)
    installTypes(self, out,
                 typeInfo,
                 PROJECTNAME)

    ptool = getToolByName(self,'portal_properties')
    sprops = ptool.site_properties
    if 'CartImage' not in sprops.typesUseViewActionInListings:
        props = list(sprops.typesUseViewActionInListings) + ['CartImage']
        sprops.manage_changeProperties(
            REQUEST={'typesUseViewActionInListings': props}
            )

    print >> out, 'Successfully installed %s' % PROJECTNAME
    return out.getvalue()

