# -*- coding: utf-8 -*-
from zope.component import queryMultiAdapter
from Products.Five import BrowserView

import config


class CartConfig(BrowserView):

    def currency(self):
        return config.currencies.get(config.currency_code)

    def currency_code(self):
        return config.currency_code

    def paypal_url(self):
        return config.paypal_url

    def paypal_account(self):
        return config.paypal_account

    def __call__(self):
        return


class PaymentModes(BrowserView):

    def __call__(self):
        html = ''
        for payment in config.payment_modes:
            view = queryMultiAdapter((self.context,self.request),name=payment)
            html += view()
        return html
