# -*- coding: utf-8 -*-
from zope.component import getUtility
from Products.Five import BrowserView

from Products.LetsPay.z3.cart.interfaces import ICartManager

class CartItemView(BrowserView):

    def addItem(self):
        option = self.request.get('option',None)
        quantity = self.request.get('quantity',0)
        try:
            quantity = int(quantity)
        except:
            return
        cartmanager = getUtility(ICartManager)
        id = self.request.SESSION.id
        cart = cartmanager.getCart(id)
        cart.addItem(self.context,quantity,option=option)
        cartmanager.setCart(cart)
        return self.request.RESPONSE.redirect(
                self.context.absolute_url() + '/view'
                )
    
    
