# -*- coding: utf-8 -*-
from zope.interface import Interface

class ICartItem(Interface):

    def getName():
        """
        return item name
        """

    def getPrice():
        """
        return item price
        """

    def getQuantity():
        """
        return item quantity
        """

class ICart(Interface):

    def getItems():
        """
        return cart items
        """

    def clearItems():
        """
        remove all items
        """

    def addItem(item,quantity):
        """
        add an item to cart
        """

    def delItem(item):
        """
        del an item from cart
        """

class ICartManager(Interface):

    def getCart(id=None):
        """
        return the user cart
        """
